<!DOCTYPE html>
<html>
<head>
    <title>Instance Metadata Query</title>
</head>
<body>
    <h1>Instance Metadata Query</h1>
    <div>
        <button onclick="queryAWS()">Query AWS Metadata</button>
    </div>
    <div>
        <pre id="output"></pre>
    </div>
    <script>
        function displayOutput(data) {
            // Format the data into JSON for display
            const jsonData = JSON.stringify(data, null, 2);
            document.getElementById("output").innerText = jsonData;
        }
        function queryAWS() {
            fetch("http://169.254.169.254/latest/meta-data")
                .then(response => response.text())
                .then(data => {
                    const metadataArray = data.split("\n");
                    const metadata = {};
                    for (const key of metadataArray) {
                        fetch(`http://169.254.169.254/latest/meta-data/${key}`)
                            .then(response => response.text())
                            .then(value => {
                                metadata[key] = value;
                                displayOutput(metadata);
                            });
                    }
                });
        }     
    </script>
</body>
</html>
